/*
 * @(#)file      MBeanServerNotificationListener.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.10
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package com.sun.management.jmx;


import javax.management.* ;

/**
 * Represents the listener of an MBeanServer Notification. 
 */
class MBeanServerNotificationListener implements NotificationListener { 

    private NotificationListener listener;
    private NotificationFilter filter;
    private java.lang.Object handback;
    ObjectName mbeanName;
    
    MBeanServerNotificationListener (NotificationListener listener,
					NotificationFilter filter,
					java.lang.Object handback,
					ObjectName mbeanName) {
	this.listener = listener;
	this.filter = filter;
	this.handback = handback;
	this.mbeanName = mbeanName;
    }
    
    /**
     *  NotificationListener interface implementation
     */
    public void handleNotification(Notification notification, Object hb)  {
	if (notification != null) {
		notification.setSource(mbeanName);
	}
	listener.handleNotification(notification, hb);
    }

}
