/*
 * @(#)file      ServiceName.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.25
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package com.sun.management.jmx;


/**
 * This class is used for storing the names of core services.
 *
 * @version     1.7     11/02/99
 * @author      Sun Microsystems, Inc
 */

public class ServiceName  {

    private ServiceName() {
	
    }

    /**
     * The object name of the MBeanServer delegate object
     * <BR>
     * The value is <CODE>JMImplementation:type=MBeanServerDelegate</CODE>.
     */
    public static final String DELEGATE        = "JMImplementation:type=MBeanServerDelegate" ;
    
    
    /**
     * The default key properties for registering the class loader of the MLet service.
     * <BR>
     * The value is <CODE>type=MLet</CODE>.
     */
    public static final String MLET  = "type=MLet";
    
    /**
     * The default domain.
     * <BR>
     * The value is <CODE>DefaultDomain</CODE>.
     */
    public static final String DOMAIN       = "DefaultDomain";

    /**
     * The default port for the HTML adaptor.
     * <BR>
     * The value is <CODE>8082</CODE>.
     */
    public static final int HTML_ADAPTOR_PORT = 8082 ;    

   /**
     * The default key properties for the HTML protocol adaptor.
     * <BR>
     * The value is <CODE>name=HtmlAdaptorServer</CODE>.
     */
    public static final String HTML_ADAPTOR_SERVER = "name=HtmlAdaptorServer" ;
   
    /**
     * The name of the JMX specification implemented by this product.    
     * <BR>
     * The value is <CODE>Java Management Extensions</CODE>.
     */
     public static final String JMX_SPEC_NAME = "Java Management Extensions";
    
    /**
     * The version of the JMX specification implemented by this product.
     * <BR>
     * The value is <CODE>1.0 Final Release</CODE>.
     */
     public static final String JMX_SPEC_VERSION = "1.0 Final Release";
    
    /**
     * The vendor of the JMX specification implemented by this product.     
     * <BR>
     * The value is <CODE>Sun Microsystems</CODE>.
     */
     public static final String JMX_SPEC_VENDOR = "Sun Microsystems";
    
    /**
     * The name of this product implementing the  JMX specification.
     * <BR>
     * The value is <CODE>JMX RI</CODE>.
     */
    public static final String JMX_IMPL_NAME = "JMX RI";
    
    /**
     * The name of the vendor of this product implementing the  JMX specification.  
     * <BR>
     * The value is <CODE>Sun Microsystems</CODE>.
     */
    public static final String JMX_IMPL_VENDOR = "Sun Microsystems";
    
    /**
     * The version of this product implementing the  JMX specification.  
     * <BR>
     * The value is <CODE>1.0</CODE>.
     */
    public static final String JMX_IMPL_VERSION = "1.0";

    /**
     * The build number of the current product version 
     */
    public static final String BUILD_NUMBER = "r14";
    
}

