/*
 * @(#)file      InvalidApplicationException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.6
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management;


/**
 * Thrown when an attempt is made to apply either of
 * the following: A subquery expression to an MBean or a qualified attribute
 * expression to an MBean of the wrong class.
 */
public class InvalidApplicationException extends Exception   { 
   

    private Object val;


    /**
     * Constructs an <CODE>InvalidApplicationException</CODE> with the specified <CODE>Object</CODE>.
     *
     */
    public InvalidApplicationException(Object val) { 
	this.val = val;
    } 

    /**
     * Returns the string representing the object
     */    
    public String toString()  { 
	return "InvalidApplicationException: " + val;
    } 
 
 }
