/*
 * @(#)file      MBeanException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.7
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management; 


/**
 * Represents "user defined" exceptions thrown by MBean methods
 * in the agent. It "wraps" the actual "user defined" exception thrown.
 * This exception will be built by the MBeanServer when a call to an
 * MBean method results in an unknown exception.
 */
public class MBeanException extends JMException   { 
    
    
    /**
     * Encapsulated Exception
     */
    private java.lang.Exception exception ;
   

    /**
     * Creates an <CODE>MBeanException</CODE> that wraps the actual <CODE>java.lang.Exception</CODE>.
     */
    public MBeanException(java.lang.Exception e) { 
	super() ;
	exception = e ;
    } 

    /**
     * Creates an <CODE>MBeanException</CODE> that wraps the actual <CODE>java.lang.Exception</CODE> with
     * a detail message.
     */
    public MBeanException(java.lang.Exception e, String message) { 
	super(message) ;
	exception = e ;
    } 
    

    /**
     * Returns the actual <CODE>java.lang.Exception</CODE> thrown.
     */
    public java.lang.Exception getTargetException()  { 
	return exception;
    } 



 }
