/*
 * @(#)file      MBeanParameterInfo.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.7
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management;


/**
 * Describes an argument of an operation exposed by an MBean.
 */
public class MBeanParameterInfo extends MBeanFeatureInfo implements java.io.Serializable, Cloneable  { 

    
    /**
     * The type or class name of the data.  
     */
    private String type = null;
     
   
    /**
     * Constructs a <CODE>MBeanParameterInfo</CODE> object.
     *
     * @param name The name of the data
     * @param type The type or class name of the data
     * @param description A human readable description of the data. Optional.
     */
    public MBeanParameterInfo(String name,
			      String type,
			      String description) {
	
	super(name, description);
	this.type = type;
	this.description = description;
    }
    
    /**
     * Package-private duplicate constructor.
     * <P>
     * This must isolate the new object from any changes to the old object.
     */ 
    MBeanParameterInfo(MBeanParameterInfo old) {
      	super(old.name, old.description);
        type = old.type;         
    }

    /**
     * Creates and returns a copy of this object.
     */
    public Object clone () {
	return  new MBeanParameterInfo(this) ;
     }
    
    /**
     * Returns the type or class name of the data.  
     */
    public String getType() {
	return type;
    }
    
 }
