/*
 * @(#)file      MBeanRegistrationException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.5
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management; 


/**
 * Wraps exceptions thrown by the preRegister(), preDeregister() methods
 * of the <CODE>MBeanRegistration</CODE> interface.
 */
public class MBeanRegistrationException extends MBeanException   { 
    
    /**
     * Creates an <CODE>MBeanRegistrationException</CODE> that wraps the actual <CODE>java.lang.Exception</CODE>.
     */       
    public MBeanRegistrationException(java.lang.Exception e) { 
	super(e) ;
    } 

    /**
     * Creates an <CODE>MBeanRegistrationException<CODE> that wraps the actual <CODE>java.lang.Exception</CODE> with
     * a detailed message.
     */
    public MBeanRegistrationException(java.lang.Exception e, String message) { 
	super(e, message) ;
    }    
}
