/*
 * @(#)file      MBeanServerDelegateMBean.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.7
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management; 


/**
 * Defines the management interface  of an object of class MBeanServerDelegate.
 */

public interface MBeanServerDelegateMBean   { 

    /**
     * Returns the MBean server agent identification
     */
    public String getMBeanServerId();
    
    /**
     * Returns the full name of the JMX specification implemented
     * by this product.      
     */    
    public String getSpecificationName();

    /**
     * Returns the version of the JMX specification implemented
     * by this product.      
     */    
    public String getSpecificationVersion();

    /**
     * Returns the vendor of the JMX specification implemented
     * by this product.      
     */    
    public String getSpecificationVendor();

    /**
     * Returns the JMX implementation name (the name of this product).     
     */    
    public String getImplementationName(); 

    /**
     * Returns the JMX implementation version (the version of this product).     
     */    
    public String getImplementationVersion();

    /**
     * Returns the JMX implementation vendor (the vendor of this product).     
     */    
    public String getImplementationVendor() ;
    
 }
