/*
 * @(#)file      RuntimeMBeanException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.8
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management; 


/**
 * Represents runtime exceptions thrown by MBean methods in
 * the agent. It "wraps" the actual <CODE>java.lang.RuntimeException</CODE> exception thrown.
 * This exception will be built by the MBeanServer when a call to an
 * MBean method throws a runtime exception.
 */
public class RuntimeMBeanException extends JMRuntimeException   { 
    
    /**
     * The encapsulated RuntimeException
     */
    private java.lang.RuntimeException runtimeException ;
    

    /**
     * Creates a <CODE>RuntimeMBeanException</CODE> that wraps the actual <CODE>java.lang.RuntimeException</CODE>.
     */   
    public RuntimeMBeanException(java.lang.RuntimeException e) {
	super() ;
	runtimeException = e ;
    } 
    
    /**
     * Creates a <CODE>RuntimeMBeanException</CODE> that wraps the actual <CODE>java.lang.RuntimeException</CODE> with
     * a detailed message.
     */   
    public RuntimeMBeanException(java.lang.RuntimeException e, String message) { 
	super(message) ;
	runtimeException = e ;
    } 
    
    /**
     * Returns the actual <CODE>java.lang.RuntimeException</CODE> thrown
     */
    public java.lang.RuntimeException getTargetException()  { 
	return runtimeException ;
    } 


 }
