/*
 * @(#)file      RuntimeOperationsException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.7
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management; 



/**
 * Represents runtime exceptions thrown in the agent when performing operations on MBeans. 
 * It wraps the actual <CODE>java.lang.RuntimeException</CODE> thrown.
 *
 */
public class RuntimeOperationsException extends JMRuntimeException   { 


    /**
     * The encapsulated RuntimeException
     */
    private java.lang.RuntimeException runtimeException ;


    /**
     * Creates a <CODE>RuntimeOperationsException</CODE> that wraps the actual <CODE>java.lang.RuntimeException</CODE>.
     *
     */
    public RuntimeOperationsException(java.lang.RuntimeException e) { 
	super() ;
	runtimeException = e ;
    } 
   
    /**
     * Creates a <CODE>RuntimeOperationsException</CODE> that wraps the actual <CODE>java.lang.RuntimeException</CODE>
     * with a detailed message.
     */
    public RuntimeOperationsException(java.lang.RuntimeException e, String message) { 
	super(message);
	runtimeException = e ;
    } 
    
    /**
     * Returns the actual <CODE>java.lang.RuntimeException</CODE> thrown.
     */
    public java.lang.RuntimeException getTargetException()  { 
	return runtimeException ;
    } 
    
 }
