/*
 * @(#)file      XMLParseException.java
 * @(#)author    IBM Corp.
 * @(#)version   1.6
 * @(#)date      00/04/11
 */
/*
 * Copyright IBM Corp. 1999-2000.  All rights reserved.
 * 
 * The program is provided "as is" without any warranty express or implied,
 * including the warranty of non-infringement and the implied warranties of
 * merchantibility and fitness for a particular purpose. IBM will not be
 * liable for any damages suffered by you or any third party claim against 
 * you regarding the Program.
 */


package javax.management.modelmbean;

/** 
* This exception is thrown when an XML formatted string is being parsed into ModelMBean objects
* or when XML formatted strings are being created from ModelMBean objects.
*
* It is also used to wrapper exceptions from XML parsers that may be used.
*/
public class XMLParseException
extends Exception
{
    private String msgStr;

    /**
     * Default constructor 
     */
    public  XMLParseException ()
    {
        msgStr =  new String("XML Parse Exception.");
    }
    
    /**
     * Constructor taking a string
     */
    public  XMLParseException (String s)
    {
        msgStr = new String("XML Parse Exception: " + s);
    }
    /**
     * Constructor taking a string and an exception
     */
    public  XMLParseException (Exception e, String s)
    {
        msgStr = new String("XML Parse Exception: " + s 
                            + ":" + e.toString());
    }


    /**
     * Override default toString()
     */
    public String toString() {
        return new String(msgStr);
    }

    /**
     * Override <i>Throwable</i> getMessage()
     */
    public String getMessage() {
        return new String(msgStr);
    }

}




