/*
 * @(#)file      InvalidRoleValueException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.5
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management.relation;

/**
 * This exception is raised when, in a role. the number of referenced MBeans
 * in given value is less than expected minimum degree, or the number of
 * referenced MBeans in provided value exceeds expected maximum degree, or
 * one referenced MBean in the value is not an Object of the MBean
 * class expected for that role, or a MBean provided for that role does not
 * exist
 */
public class InvalidRoleValueException extends RelationException {

    /**
     * Default constructor, no message put in exception
     */
    public InvalidRoleValueException() {
	super();
    }

    /**
     * Constructor with given message put in exception
     */
    public InvalidRoleValueException(String message) {
	super(message);
    }
}
